%define oname  multi_test

Name:          ruby-%{oname}
Version:       0.1.2
Release:       %mkrel 3
Summary:       Wafter-thin gem to help control rogue test/unit/autorun requires
Group:         Development/Ruby
License:       MIT
URL:           http://cukes.info/
Source0:       http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:        multi_test-0.1.1-req.patch
BuildArch:     noarch

BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)

%description
Wafter-thin gem to help control rogue test/unit/autorun requires.

#-------------------------------------------------------------------------------
%package       doc
Summary:       Documentation for %{name}
Group:         Development/Ruby
BuildArch:     noarch
Requires:      %{name} = %{version}-%{release}

%description   doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%patch0 -p1

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.2-3.mga8
+ Revision: 1499874
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.2-2.mga7
+ Revision: 1275156
- Mageia 7 Mass Rebuild

* Fri Jan 01 2016 pterjan <pterjan> 0.1.2-1.mga6
+ Revision: 917514
- Update to 0.1.2

* Fri Jan 30 2015 daviddavid <daviddavid> 0.1.1-1.mga5
+ Revision: 812783
- rediff Patch0 for new 0.1.1 release (fix build failure)
- rename Patch0
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- 0.1.1

* Sat Dec 28 2013 pterjan <pterjan> 0.0.2-5.mga4
+ Revision: 562019
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.0.2-4.mga4
+ Revision: 561425
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.0.2-3.mga4
+ Revision: 535583
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.0.2-2.mga4
+ Revision: 482221
- Rebuild for Ruby 2

* Mon Sep 16 2013 fwang <fwang> 0.0.2-1.mga4
+ Revision: 480282
- drop requires
- imported package ruby-multi_test

